<?php
function add_tantan_button() {
   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
   if ( get_user_option('rich_editing') == 'true') {
     add_filter('mce_external_plugins', 'add_tantan_tinymce_plugin');
     add_filter('mce_buttons', 'register_tantan_button');
   }
}

function register_tantan_button($buttons) {
   array_push($buttons, "|", "tantan");
   return $buttons;
}

function add_tantan_tinymce_plugin($plugin_array) {
   $plugin_array['tantan'] = get_template_directory_uri() . '/functions/dragdropeditor/js/tinymce/tantan.js';
   //$plugin_array['tantan'] = get_template_directory_uri('functions/dragdropeditor/js/tinymce/tantan.js',__FILE__);
   return $plugin_array;
}

function tantan_refresh_mce($ver) {
  $ver += 3;
  return $ver;
}

add_filter('tiny_mce_version', 'tantan_refresh_mce');
add_action('init', 'add_tantan_button');

function tantan_tasklist_shortcode($atts)
{
	global $post;
	
	//$scripturl = plugins_url('display.js' , __FILE__ );
	//extract(shortcode_atts(array('listid' => '1'), $atts));

	$action = add_query_arg( 'tantan', 'save', get_permalink($post-ID));
	
	$tasklist = "<form method='post' action='$action'>";
	$tasklist .= get_user_tasklist();
	$tasklist .= "</form>";

	return $tasklist;

}
add_shortcode( 'tantan_tasklist', 'tantan_tasklist_shortcode' );

function tantan_progressbar_shortcode($atts)
{
	//$scripturl = plugins_url('display.js' , __FILE__ );
	//extract(shortcode_atts(array('listid' => '1'), $atts));
	return "tantan progressbar";

}
add_shortcode( 'tantan_progressbar', 'tantan_progressbar_shortcode' );


add_action('admin_enqueue_scripts', 'tantan_admin_enqueue_scripts');
function tantan_admin_enqueue_scripts()
{

	wp_enqueue_script('jquery-ui-sortable');
	wp_register_style( 'dragdropeditor-style', get_template_directory_uri() . '/functions/dragdropeditor/css/style.css', array(), '20120208', 'all' );
    wp_enqueue_style( 'dragdropeditor-style' );
	//wp_enqueue_script('jquery-ui-draggable');
	//wp_enqueue_script('jquery-ui-droppable');

}

add_action('admin_head', 'tantan_admin_head');
function tantan_admin_head()
{
	?>
	<script>
		jQuery(document).ready(function(){
			
			document.tantan_admin_url = '<?php echo admin_url("admin-ajax.php"); ?>';
			
		});
	</script>
<?php
}

add_action('wp_ajax_tantan_applyfilters', 'tantan_wp_ajax_tantan_applyfilters');
//add_action('wp_ajax_nopriv_addlead', 'viralcouponpopup_wp_ajax_nopriv_addlead');
function tantan_wp_ajax_tantan_applyfilters()
{

	$content = $_POST["content"];
	$content = apply_filters("the_content",$content);

	echo $content;

	die();	

}

add_action('wp_ajax_tantan_livepreview', 'tantan_wp_ajax_tantan_livepreview');
//add_action('wp_ajax_nopriv_addlead', 'viralcouponpopup_wp_ajax_nopriv_addlead');
function tantan_wp_ajax_tantan_livepreview()
{

	$content = $_POST["content"];

	$temppost = array(
		'post_title'    => 'Preview',
		'post_content'  => $content,
		'post_status'   => 'draft',
	);

	$tempid = wp_insert_post($temppost);

	$permalink = add_query_arg('TB_iframe', 'true', get_permalink($tempid));

	echo $tempid . "||" . $permalink;

	die();	

}

add_action('wp_ajax_tantan_livepreview_remove', 'tantan_wp_ajax_tantan_livepreview_remove');
//add_action('wp_ajax_nopriv_addlead', 'viralcouponpopup_wp_ajax_nopriv_addlead');
function tantan_wp_ajax_tantan_livepreview_remove()
{

	$id = $_POST["id"];

	wp_delete_post($id);

	die();	

}

?>