<?php
class IBT_custom_tags extends WP_Widget {
	function IBT_custom_tags() {
parent::WP_Widget(false, '#AWP - Custom Tags');
	}
function form($instance) {
// outputs the options form on admin
$defaults = array( 'title' => 'Custom Tags' );
// This overwrites any default values with saved values
$instance = wp_parse_args( (array) $instance, $defaults );
?>
<p>
<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" type="text" class="widefat" />
</p>
<p>
<label for="<?php echo $this->get_field_id('include'); ?>"><?php _e('Include:'); ?></label>
<input id="<?php echo $this->get_field_id('include'); ?>" name="<?php echo $this->get_field_name('include'); ?>" value="<?php echo $instance['include']; ?>" type="text" class="widefat" />
<small>Type the tag ID. You can add more than one tag, separated with comma (,).</small>
</p>
<p>
<label for="<?php echo $this->get_field_id('exclude'); ?>"><?php _e('Exclude:'); ?></label>
<input id="<?php echo $this->get_field_id('exclude'); ?>" name="<?php echo $this->get_field_name('exclude'); ?>" value="<?php echo $instance['exclude']; ?>" type="text" class="widefat" />
<small>Type the tag ID. You can add more than one tag, separated with comma (,).</small>
</p>
<p>
<label for="<?php echo $this->get_field_id('show_postcount'); ?>"><?php _e('Show Post Count:'); ?></label>
<input class="checkbox" type="checkbox" id="<?php echo $this->get_field_id('show_postcount'); ?>" name="<?php echo $this->get_field_name('show_postcount'); ?>" value="show_postcount" <?php if ( $instance['show_postcount'] == 'show_postcount' ) { echo 'checked="yes"'; } ?> />
</p>
<?php
	}
function update($new_instance, $old_instance) {
// processes widget options to be saved
// Get the old values
$instance = $old_instance;
// Update with any new values (and sanitise input)
$instance['title'] = strip_tags( $new_instance['title'] );
$instance['include'] = strip_tags( $new_instance['include'] );
$instance['exclude'] = strip_tags( $new_instance['exclude'] );
$instance['show_postcount'] = strip_tags( $new_instance['show_postcount'] );
return $instance;
	}
function widget($args, $instance) {
extract( $args ); // Don't worry about this
// Get our variables
$title = apply_filters( 'widget_title', $instance['title'] );
$include = $instance['include'];
$exclude = $instance['exclude'];
$show_postcount = $instance['show_postcount'];
// outputs the content of the widget
echo $before_widget;
if ( $title ) { echo $before_title . $title . $after_title; }
custom_tags($exclude, $include, $show_postcount);
echo $after_widget;
	}
}
register_widget('IBT_custom_tags');
?>