<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />

<title><?php if (is_front_page()) { ?><?php bloginfo('name'); ?> | <?php bloginfo('description'); ?><?php } else { ?><?php wp_title(''); ?><?php } ?></title>
<?php global $data, $has_nav_menu_message; ?>
<?php if (!empty($data['op_favicon'])) { ?>
<link rel="shortcut icon" href="<?php echo stripslashes($data['op_favicon']); ?>" />
<?php } ?>

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php my_theme_style(); ?>
<?php my_theme_style_features(); ?>
<?php wp_head(); ?>

<?php echo stripslashes($data['op_custom_head']); ?>
<?php include (TEMPLATEPATH . '/functions/styling-functions.php'); ?>

</head>

<body>

<?php global $data; ?>
<?php $op_mobile_component = $data['op_mobile_component']['enabled']; ?>

<div id="header">
<div class="container">
<div class="row-fluid">
<div class="span12">
<?php logo_ibt(); ?>
</div>
</div>
</div>
</div>

<div class="container">

<div class="space20"></div>

<?php
if ($op_mobile_component):
foreach ($op_mobile_component as $key=>$value) { switch($key) {
case 'call_button':
?>

<div class="row-fluid">
<div class="span12 textalign_center">
<a class="btn btn-primary btn-primaryx btn-large" href="tel:<?php echo stripslashes($data['op_phone_number']); ?>"><?php echo stripslashes($data['op_trans_taptocall']); ?></a>
<div class="space20"></div>
</div>
</div>

<?php break; case 'menus': ?>

<div class="row-fluid">
<div class="span12">
<?php
$args = array(
'container'	=> true,
'theme_location' => 'menu-4',
'container'       => 'div',
'container_id' => 'menu_mobile',
'menu_class' => 'menu_mobile',
'walker'          => new Menu_Description_Walker
);
if ( has_nav_menu( 'menu-4' ) ) {
wp_nav_menu($args);
} else { echo $has_nav_menu_message; }
?>
<div class="clear"></div>
<div class="space20"></div>
</div>
</div>

<?php break; case 'social_profiles': ?>

<div class="row-fluid">
<div class="span12 textalign_center">
<?php social_profiles(); ?>
<div class="space20"></div>
</div>
</div>

<?php break; case 'video': ?>

<div class="row-fluid">
<div class="span12 textalign_center">
<div class="frame_style_video">
<?php echo (stripslashes($data['op_m_video'])); ?>
<div class="clear"></div>
</div>
</div>
</div>

<?php break; case 'search_form': ?>

<div class="row-fluid">
<div class="span12 textalign_center">
<?php include( TEMPLATEPATH . '/searchform.php' ); ?>
<div class="space20"></div>
</div>
</div>

<?php break; case 'optinform': ?>

<div class="row-fluid">
<div class="span12">
<div class="optinform_style_wrap position_center">
<div id="content_optinform" class="optinform optinform_style <?php echo $data['op_optinform_style']; ?>" <?php if ( !empty($data['op_optinform_bgcolor']) ) { ?>style="background:<?php echo $data['op_optinform_bgcolor']; ?>;"<?php } ?>>
<?php optinform_code(); ?>
</div>
</div>
<div class="space20"></div>
</div>
</div>

<?php break; ?>
<?php } } endif; ?>

<div class="row-fluid">
<div class="span12 textalign_center">
<div id="footer">
	<?php echo stripslashes($data['op_copyright_text']); ?>
</div>
</div>
</div>

</div>


<?php wp_footer(); ?>

<?php my_theme_js(); ?>

<?php js_all_settings(); ?>

<?php if ($data['op_mobile_menu_layout'] != 'gridview') { ?>
<script type="text/javascript">
$(document).ready(function() {
$('#menu_mobile a').append('<i class="arrow_right"></i>');
});
</script>
<?php } ?>

</body>
</html>