<?php
/*
Template Name: Facebook iFrame Template
*/
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />

<title><?php if (is_front_page()) { ?><?php bloginfo('name'); ?> | <?php bloginfo('description'); ?><?php } else { ?><?php wp_title(''); ?><?php } ?></title>
<?php global $data; ?>
<?php if (!empty($data['op_favicon'])) { ?>
<link rel="shortcut icon" href="<?php echo stripslashes($data['op_favicon']); ?>" />
<?php } ?>

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php my_theme_style(); ?>
<?php my_theme_style_features(); ?>
<?php wp_head(); ?>

<?php 
if ( is_singular() ) { wp_enqueue_script( 'comment-reply' ); } 
	fancybox_css();
?>

<?php echo stripslashes($data['op_custom_head']); ?>
<?php include (TEMPLATEPATH . '/functions/styling-functions.php'); ?>

<style type="text/css">
.container { max-width: 810px; }
#wrapall { margin-top: 0; margin-bottom: 0; }
#wrapall, #header, #footer {
  -webkit-border-radius:  0;
  -moz-border-radius:     0;
  border-radius:          0;
  }
</style>

<?php 
$demo_functions_file = (TEMPLATEPATH . '/demo/demo-functions.php');
if (file_exists($demo_functions_file)) { include ($demo_functions_file); }
if (function_exists('demo_function')) { demo_function(); }
?>
</head>

<body>

<div class="visible-desktop">
<?php if (function_exists('demo_output')) { demo_output(); } ?>
</div>

<?php @fb_sdk(); ?>

<div id="wrapall">

<!-- end header -->

<div id="content">
<div class="container">
<div class="row-fluid">

<div class="span12">
<div id="post">

<?php if (is_front_page()) { ?>
<?php if ($data['op_toprated_onhome']==1) { ?>
<?php global $data; ?><div class="post"><?php toprated($data['op_toprated_onhome_num']); ?></div>
<?php } ?>
<?php } ?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

<div class="post">

<div class="entry">
<?php the_content(); ?>
</div>

</div>

<?php edit_post_link('Edit this entry','',''); ?>

<?php endwhile; else: ?>

			<div class="post">
				<div>Not Found</div>
				<div class="entry">
				You are looking for something that isn't here
				</div>
			</div>

<?php endif; ?>

</div>
</div>

</div>
</div>
</div>

</div>

<?php wp_footer(); ?>

<?php my_theme_js(); ?>

<?php 
if ( is_singular() ) { 
portfolio_ajax_js(); 
}
fancybox_js();
?>

<?php js_all_settings(); ?>

</body>
</html>